HsLogsPage (Apache Hadoop MapReduce HistoryServer 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.hs.webapp, class: HsLogsPage

Package org.apache.hadoop.mapreduce.v2.hs.webapp

# Class HsLogsPage

java.lang.Object
org.apache.hadoop.yarn.webapp.View
org.apache.hadoop.yarn.webapp.view.TextView
org.apache.hadoop.yarn.webapp.view.HtmlPage
org.apache.hadoop.yarn.webapp.view.TwoColumnLayout
org.apache.hadoop.mapreduce.v2.hs.webapp.HsView
org.apache.hadoop.mapreduce.v2.hs.webapp.HsLogsPage

All Implemented Interfaces:
  `org.apache.hadoop.yarn.webapp.Params`

public class HsLogsPage extends HsView

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.view.HtmlPage

  `org.apache.hadoop.yarn.webapp.view.HtmlPage.__, org.apache.hadoop.yarn.webapp.view.HtmlPage.Page`

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.View

  `org.apache.hadoop.yarn.webapp.View.ViewContext`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.yarn.webapp.view.HtmlPage

  `DOCTYPE`

  ### Fields inherited from class org.apache.hadoop.yarn.webapp.View

  `LOG`

  ### Fields inherited from interface org.apache.hadoop.yarn.webapp.Params

  `ERROR_DETAILS, TITLE, TITLE_LINK, USER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HsLogsPage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Class<? extends org.apache.hadoop.yarn.webapp.SubView>`
  `content()`
  The content of this page is the JobBlock
  `protected void`
  `preHead(org.apache.hadoop.yarn.webapp.hamlet2.Hamlet.HTML<org.apache.hadoop.yarn.webapp.view.HtmlPage.__> html)`

  ### Methods inherited from class org.apache.hadoop.mapreduce.v2.hs.webapp.HsView

  `commonPreHead, nav, setActiveNavColumnForTask`

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.TwoColumnLayout

  `footer, header, postHead, render, setTableStyles`

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.HtmlPage

  `render`

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.TextView

  `echo, echoWithoutEscapeHtml, puts, putWithoutEscapeHtml, writer`

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.View

  `$, $, context, cookies, error, getInstance, inDevMode, info, injector, moreParams, outputStream, prefix, render, request, response, root, root_url, set, setTitle, setTitle, status, url`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HsLogsPage

    public HsLogsPage()

- ## Method Details

  - ### preHead

    protected void preHead(org.apache.hadoop.yarn.webapp.hamlet2.Hamlet.HTML<org.apache.hadoop.yarn.webapp.view.HtmlPage.__> html)
    Overrides:
      `preHead` in class `HsView`

  - ### content

    protected Class<? extends org.apache.hadoop.yarn.webapp.SubView> content()
    The content of this page is the JobBlock
    Overrides:
      `content` in class `HsView`
    Returns:
      HsJobBlock.class